package org.jeecg.modules.api.service;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.jeecg.modules.studytourBanner.entity.StudytourBanner;
import org.jeecg.modules.studytourNews.entity.StudytourNews;
import org.jeecg.modules.studytourPolicy.entity.StudytourPolicy;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface IndexService {

    //首页-查询banner图列表
    public Result<?> queryBannerList(StudytourBanner studytourBanner, PageBean pageBean);

    //首页-查询研学政策列表
    public Result<?> queryPolicyList(StudytourPolicy studytourPolicy, PageBean pageBean);

    //首页-查询研学政策详情
    public Result<?> queryPolicyById(String policyId);

    //首页-查询公司动态详情
    public Result<?> queryNewsList(StudytourNews studytourNews, PageBean pageBean);

    //首页-查询公司动态详情
    public Result<?> queryNewsById(String newsId);
}
